Subject: bug#35408: External monitor not working with GDM

From: Ben Sturmfels <[email-masked]>
Date: Thu, 02 May 2019 12:00:47 +1000

Hi Ludovic,

Ben Sturmfels

Sturm Software Engineering
www.sturm.com.au
+61 3 9024 2467

On Fri, 26 Apr 2019, Ludovic Courtès wrote:

> Hi Ben,
>
> Ben Sturmfels <[email-masked]> skribis:
>
>> [   448.627] (II) RADEON: Driver for ATI/AMD Radeon chipsets:
>
> [...]
>
>> [   448.630] (II) [KMS] drm report modesetting isn't supported.
>> [   448.630] (EE) open /dev/dri/card0: No such file or directory
>> [   448.630] (WW) Falling back to old probe method for modesetting
>> [   448.630] (EE) open /dev/dri/card0: No such file or directory
>> [   448.630] (II) Loading sub module "fbdevhw"
>> [   448.630] (II) LoadModule: "fbdevhw"
>> [   448.631] (II) Loading /gnu/store/xxpf6xz7prlwrvvl7sviaxmahsyavx1c-xorg-server-1.20.4/lib/xorg/modules/libfbdevhw.so
>> [   448.631] (II) Module fbdevhw: vendor="X.Org Foundation"
>> [   448.631] 	compiled for 1.20.4, module version = 0.0.2
>> [   448.631] 	ABI class: X.Org Video Driver, version 24.0
>> [   448.631] (EE) Unable to find a valid framebuffer device
>> [   448.631] (WW) Falling back to old probe method for fbdev
>> [   448.631] (II) Loading sub module "fbdevhw"
>> [   448.631] (II) LoadModule: "fbdevhw"
>> [   448.631] (II) Loading /gnu/store/xxpf6xz7prlwrvvl7sviaxmahsyavx1c-xorg-server-1.20.4/lib/xorg/modules/libfbdevhw.so
>> [   448.631] (II) Module fbdevhw: vendor="X.Org Foundation"
>> [   448.631] 	compiled for 1.20.4, module version = 0.0.2
>> [   448.631] 	ABI class: X.Org Video Driver, version 24.0
>> [   448.631] (EE) open /dev/fb0: No such file or directory
>> [   448.631] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
>> [   448.631] (EE) Screen 0 deleted because of no matching config section.
>> [   448.631] (II) UnloadModule: "radeon"
>> [   448.631] (EE) Screen 0 deleted because of no matching config section.
>> [   448.631] (II) UnloadModule: "modesetting"
>> [   448.631] (EE) Screen 0 deleted because of no matching config section.
>> [   448.631] (II) UnloadModule: "fbdev"
>> [   448.631] (II) UnloadSubModule: "fbdevhw"
>> [   448.631] (II) Loading sub module "vbe"
>> [   448.631] (II) LoadModule: "vbe"
>> [   448.632] (II) Loading /gnu/store/xxpf6xz7prlwrvvl7sviaxmahsyavx1c-xorg-server-1.20.4/lib/xorg/modules/libvbe.so
>> [   448.632] (II) Module vbe: vendor="X.Org Foundation"
>> [   448.632] 	compiled for 1.20.4, module version = 1.1.0
>> [   448.632] 	ABI class: X.Org Video Driver, version 24.0
>> [   448.632] (II) Loading sub module "int10"
>> [   448.632] (II) LoadModule: "int10"
>> [   448.632] (II) Loading /gnu/store/xxpf6xz7prlwrvvl7sviaxmahsyavx1c-xorg-server-1.20.4/lib/xorg/modules/libint10.so
>> [   448.632] (II) Module int10: vendor="X.Org Foundation"
>> [   448.632] 	compiled for 1.20.4, module version = 1.0.0
>> [   448.632] 	ABI class: X.Org Video Driver, version 24.0
>> [   448.632] (II) VESA(0): initializing int10
>> [   448.633] (EE) VESA(0): Cannot read int vect
>> [   448.633] (II) UnloadModule: "vesa"
>> [   448.633] (II) UnloadSubModule: "int10"
>> [   448.633] (II) Unloading int10
>> [   448.633] (II) UnloadSubModule: "vbe"
>> [   448.633] (II) Unloading vbe
>> [   448.633] (EE) Screen(s) found, but none have a usable configuration.
>> [   448.633] (EE)
>> Fatal server error:
>> [   448.633] (EE) no screens found(EE)
>> [   448.633] (EE)
>> Please consult the The X.Org Foundation support
>> 	 at http://wiki.x.org
>>  for help.
>> [   448.633] (EE) Please also check the log file at "/var/lib/gdm/.local/share/xorg/Xorg.0.log" for additional information.
>
> It looks like you have an AMD Radeon graphics card, is that right?  Did
> you pass “modprobe.blacklist=radeon” on the kernel command line, or
> something similar?
>
> Apparently some of these AMD graphics cards are not quite supported by
> free software, so that might be the issue here.

Whoops, sorry I'm being unintentionally misleading - I shuttle my hard
drive across from my X200 into an F2A85-M motherboard at work, which has
Radeon HD 8470D. It's always just worked with Slim on Guix and Trisquel
7/8.

I'll try the modprobe.blacklist though.

This is a bit of a stab in the dark, but I have been having issues with
PostgreSQL and OpenSMTPD changing swapping UID/GIDs after reconfiguring
or booting back into an old Guix System profile. This has required me to
manually correct the permissions in /var/lib with `chown`. I'm
suspicious that the same might be happening to GDM. I'll do some testing
on this.

Regards,
Ben